# python string split() method
# syntax - str.split(separator, maxsplit)
# where -
# separator - represents the delimiter
# maxsplit - represents the number which tells how many splits to do. default is -1 meaning no limit [optional field]

# splits at space
def space():
    string = 'java code geek'
    print('split string = {}\n'.format(string.split()))


# splits at comma
def comma(delimiter):
    string = 'java,code,geek'
    print('delimiter used = {} and split string = {}\n'.format(delimiter, string.split(delimiter)))


# splits at colon
def colon(delimiter):
    string = 'java:code:geek'
    print('delimiter used = {} and split string = {}\n'.format(delimiter, string.split(delimiter)))


# splits at alphabet
def alphabet(delimiter):
    string = 'javacodegeek'
    print('delimiter used = {} and split string = {}\n'.format(delimiter, string.split(delimiter)))


# when maxsplit is given
# if maxsplit is given the returning value will have a maximum of 'max_split+1' elements
def split(delimiter, maximum_split):
    brands = 'samsung, apple, htc, nokia, sony, lenovo'
    print('delimiter used = {} and split string = {}\n'.format(delimiter, brands.split(delimiter,
                                                                                       maxsplit=maximum_split)))


# driver code
if __name__ == '__main__':
    space()
    comma(delimiter=',')
    colon(delimiter=':')
    alphabet(delimiter='e')
    split(delimiter=',', maximum_split=1)

print('done')
